package com.dgtly.goods.mapper;

import com.dgtly.goods.domain.GoodsTypeAttribute;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 商品分类属性Mapper接口
 * 
 * @author dgtly
 * @date 2020-02-13
 */
public interface GoodsTypeAttributeMapper 
{
    /**
     * 查询商品分类属性
     * 
     * @param id 商品分类属性ID
     * @return 商品分类属性
     */
    public GoodsTypeAttribute selectGoodsTypeAttributeById(Long id);

    /**
     * 查询商品分类属性列表
     * 
     * @param goodsTypeAttribute 商品分类属性
     * @return 商品分类属性集合
     */
    public List<GoodsTypeAttribute> selectGoodsTypeAttributeList(GoodsTypeAttribute goodsTypeAttribute);

    /**
     * 新增商品分类属性
     * 
     * @param goodsTypeAttribute 商品分类属性
     * @return 结果
     */
    public int insertGoodsTypeAttribute(GoodsTypeAttribute goodsTypeAttribute);

    /**
     * 修改商品分类属性
     * 
     * @param goodsTypeAttribute 商品分类属性
     * @return 结果
     */
    public int updateGoodsTypeAttribute(GoodsTypeAttribute goodsTypeAttribute);

    /**
     * 删除商品分类属性
     * 
     * @param id 商品分类属性ID
     * @return 结果
     */
    public int deleteGoodsTypeAttributeById(Long id);

    /**
     * 批量删除商品分类属性
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteGoodsTypeAttributeByIds(String[] ids);

    /**
     * 批量新增分类属性
     *
     * @param goodsTypeAttributes 分类属性列表
     * @return 结果
     */
    public int batchAttribute(@Param("list")List<GoodsTypeAttribute> goodsTypeAttributes,@Param("typeId")Long typeId);
    /**
     * 批量删除分类属性根据typdId
     *
     * @param itypeId 分类id
     *
     * @return 结果
     */
    int deleteGoodsTypeAttributeByTypeId(Long itypeId);
}
