package com.dgtly.goods.service;

import com.dgtly.goods.domain.GoodsInfo;
import java.util.List;

/**
 * 商品基础详情Service接口
 * 
 * @author dgtly
 * @date 2020-02-13
 */
public interface IGoodsInfoService 
{
    /**
     * 查询商品基础详情
     * 
     * @param id 商品基础详情ID
     * @return 商品基础详情
     */
    public GoodsInfo selectGoodsInfoById(Long id);

    /**
     * 查询商品基础详情列表
     * 
     * @param goodsInfo 商品基础详情
     * @return 商品基础详情集合
     */
    public List<GoodsInfo> selectGoodsInfoList(GoodsInfo goodsInfo);

    /**
     * @descption: 查询商品基础详情列表不通过过滤
     * @param:
     * @return:
     * @auther: qxp
     * @date: 2020/3/3 10:43
     */
    List<GoodsInfo> selectGoodsInfoListByAdmin(GoodsInfo goodsInfo);

    /**
     * 新增商品基础详情
     * 
     * @param goodsInfo 商品基础详情
     * @return 结果
     */
    public int insertGoodsInfo(GoodsInfo goodsInfo);

    /**
     * 修改商品基础详情
     * 
     * @param goodsInfo 商品基础详情
     * @return 结果
     */
    public int updateGoodsInfo(GoodsInfo goodsInfo);

    /**
     * 批量删除商品基础详情
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteGoodsInfoByIds(String ids);

    /**
     * 删除商品基础详情信息
     * 
     * @param id 商品基础详情ID
     * @return 结果
     */
    public int deleteGoodsInfoById(Long id);



    /**
     * @descption: 根据分类id查询商品数量包括小雷的
     * @param:
     * @return:
     * @auther: qxp
     * @date: 2020-2-25
     */
    public int selectGoodsInfoCountByTypeId(Long id);

    /**
     * @descption: 为前端网页提供商品查询，价格筛选
     * @param:
     * @return:
     * @auther: qxp
     * @date: 2020/3/3 10:43
     */
    public List<GoodsInfo> selectGoodsInfoListInWeb(GoodsInfo gi);

    /**
     * @descption: 为前端网页提供商品查询，价格筛选
     * @param:
     * @return:
     * @auther: qxp
     * @date: 2020/3/3 10:43
     */
    public List<GoodsInfo> selectGoodsInfoByIds(String ids);

    public int countGoodsInfo();

    /**
     * @descption: 批量上下架
     * @param:
     * @return:
     * @auther: qxp
     * @date: 2020/3/3 10:43
     */
    int putawayGooodsInfo(String ids, String putawayFlag);

}
